<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <title>Registration and login</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
          crossorigin="anonymous">
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
    <a class="navbar-brand" href="#" th:href="@{/}">Registration and login module</a>
</nav>
    <!--Form-->
    <div class="container mt-5 pt-5">
        <div class="row">
            <div class="col-md-6 col-md-offset-3">

                <h1>User Login</h1>

                <form th:action="@{/login}" method="post">

                    <div th:if="${param.error}">
                        <div class="alert alert-danger">Invalid username or password.
                        </div>
                    </div>

                    <div th:if="${param.logout}">
                        <div class="alert alert-info">You have been logged out.</div>
                    </div>

                    <div class="form-group">
                        <div class="form-group">
                            <label for="username">Username</label>
                            <input type="text" id="username" name="username" class="form-control" autofocus="autofocus"
                                   placeholder="Enter username"/>
                        </div>

                        <div class="form-group">
                            <label for="password">Password</label>
                            <input type="password" id="password" name="password" class="form-control"
                                   placeholder="Enter password"/>
                        </div>
                        <button type="submit" name="Login-submit" id="Login-submit" class="btn btn-primary"
                                value="Log in">Login
                        </button>
                    </div>
                </form>
                <div class="form-group">
                <span>New user?
                    <a href="/" th:href="@{/registration}">Register</a>
                </span>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
